package com.ht.data.listener;

import java.util.Set;

public interface IDataListener {

    public static final String ID_PREFIX = "__data_";

    /**
     * 实时数据库中的数据改变时触发
     */
    public void dataChanged(String ...varNames);
    
    /**
     * @return the set of the data names
     */
    public Set<String> getDataVarNames();
    
}
